Commit d5ce8a89 authored by Mathieu Malaterre's avatar Mathieu Malaterre

Import Debian changes 2.0.0-1

openjpeg2 (2.0.0-1) unstable; urgency=low

  * New upstream. Closes: #738655.
parent a3ff4da3
OpenJPEG 2.x for Debian
-------------------
Unless you know what you are doing, you should instead install the OpenJPEG
(1.x) package instead.
This package is meant for people to start using the new improved OpenJPEG API
(2.x) where streaming capabilities have been added.
-- Mathieu Malaterre <malat@debian.org> Mon, 17 Mar 2014 14:42:09 +0100
openjpeg2 (2.0.0-1) unstable; urgency=low
* New upstream. Closes: #738655.
-- Mathieu Malaterre <malat@debian.org> Fri, 23 May 2014 18:23:37 +0200
Source: openjpeg2
Priority: extra
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Homepage: http://www.openjpeg.org
Build-Depends: cmake (>= 2.8.2),
debhelper (>= 9),
default-jdk,
javahelper (>= 0.37~),
libcurl4-gnutls-dev | libcurl-ssl-dev,
libfcgi-dev,
liblcms2-dev | liblcms1-dev,
libpng-dev,
libtiff-dev,
libxerces2-java,
zlib1g-dev
Standards-Version: 3.9.5
Section: libs
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/openjpeg2/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/openjpeg2/trunk
Package: libopenjpeg6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libopenjpeg6 (= ${binary:Version}), ${misc:Depends}
Description: development files for OpenJPEG, a JPEG 2000 image library
OpenJPEG is a library for handling the JPEG 2000 image compression format.
JPEG 2000 is a wavelet-based image compression standard and permits progressive
transmission by pixel and resolution accuracy for progressive downloads of an
encoded image. It supports lossless and lossy compression, supports higher
compression than JPEG 1991, and has resilience to errors in the image.
Package: libopenjpeg6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG 2000 image compression/decompression library
OpenJPEG is a library for handling the JPEG 2000 image compression format.
JPEG 2000 is a wavelet-based image compression standard and permits progressive
transmission by pixel and resolution accuracy for progressive downloads of an
encoded image. It supports lossless and lossy compression, supports higher
compression than JPEG 1991, and has resilience to errors in the image.
Package: libopenjpip6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG 2000 Interactive Protocol
OpenJPEG is a library for handling the JPEG 2000 image compression format.
JPEG 2000 is a wavelet-based image compression standard and permits progressive
transmission by pixel and resolution accuracy for progressive downloads of an
encoded image. It supports lossless and lossy compression, supports higher
compression than JPEG 1991, and has resilience to errors in the image.
.
This is an implementation of the JPEG 2000 Interactive Protocol (Part-9)
Package: libopenjp3d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: JPEG 2000 image compression/decompression library
OpenJPEG is a library for handling the JPEG 2000 image compression format.
JPEG 2000 is a wavelet-based image compression standard and permits progressive
transmission by pixel and resolution accuracy for progressive downloads of an
encoded image. It supports lossless and lossy compression, supports higher
compression than JPEG 1991, and has resilience to errors in the image.
.
This is an implementation of the JPEG 2000 (JP3D) volumetric imaging (Part-10)
Package: libopenjpeg6-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: libopenjpeg6 (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for libopenjpeg6, a JPEG 2000 image library
This package contains the debug symbols to match the runtime component of the
OpenJPEG library, allowing debugging of a program using OpenJPEG to
access debugging details within the library itself.
Package: openjpip-dec-server
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to allow caching of JPEG 2000 files using JPIP protocol
This is client side application for caching remote JPEG 2000 using the JPIP
protocol. This command line application needs to run on the client side to
allow application such as opj_viewer or opj_viewer_xerces to view images.
Package: openjpip-viewer
Section: graphics
Architecture: all
Depends: openjpip-dec-server, ${java:Depends}, ${misc:Depends}
Provides: openjpip-viewer-xerces
Suggests: openjpeg-tools
Description: JPEG 2000 java based viewer for advanced remote JPIP access
Java based client to view remote JPEG 2000 using JPIP protocol.
This is a simple java viewer to allow:
.
- Scale up request: Enlarge the window
- ROI request: Select a region by mouse click and drag, then click inside the
red frame of the selected region
- Annotate image with ROI information in XML metadata: Click button "Region
Of Interest"
- Open a new window presenting an aligned image with a locally stored image:
Click button "Image Registration" (Under Construction)
Package: openjpip-server
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: apache2.2-bin,
libwww-perl,
spawn-fcgi (>= 1.6.1),
${misc:Depends},
${shlibs:Depends}
Description: JPIP server for JPEG 2000 files
OpenJPIP software is an implementation of JPEG 2000 Part9: Interactivity tools,
APIs and protocols (JPIP). For more info about JPIP, check the website:
http://www.jpeg.org/jpeg2000/j2kpart9.html. The current implementation uses
some results from the 2KAN project (http://www.2kan.org).
.
First Version covers:
.
- JPT-stream (Tile based) and JPP-stream (Precinct based) media types
- Session, channels, cache model managements
- JPIP over HTTP
- Indexing JPEG 2000 files
- Embedding XML formatted metadata
- Region Of Interest (ROI) requests
Package: openjp3d-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: openjpeg-tools
Description: command-line tools using the JPEG 2000 - 3D library
This package provides with command-line tools allowing for conversions between
several formats and also provides tools for encoding and decoding
jpeg 3D formats:
.
- opj_jp3d_compress: compress into JP3D volume
- opj_jp3d_decompress: decompress JP3D volume
Package: openjpeg-tools
Section: graphics
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command-line tools using the JPEG 2000 library
This package provides with command-line tools allowing for conversions between
several formats and also provides tools for encoding and decoding
motion-jpeg2000 video formats:
.
- opj_decompress: decodes j2k, jp2, and jpt files to pgm, ppm, pnm,
pgx, and bmp.
- opj_compress: encodes pnm, pgm, pgx, bmp, and ppm files to j2k,
and jp2.
- opj_dump: dump information contains in j2k and jp2.
- index_create: create jp2 with JPIP index file from a j2k file.
- frames_to_mj2: convert YUV video streams to mj2 format.
- mj2_to_frames: convert mj2 video streams to YUV format.
- wrap_j2k_in_mj2: wrap j2k codestreams into mj2 format.
- extract-j2k-from_mj2: extract j2k codestreams from the mj2 format.
This diff is collapsed.
libopenjp3d.so.6 libopenjp3d6 #MINVER#
cio_seek@Base 2.0.0
cio_tell@Base 2.0.0
opj_cio_close@Base 2.0.0
opj_cio_open@Base 2.0.0
opj_create_compress@Base 2.0.0
opj_create_decompress@Base 2.0.0
opj_decode@Base 2.0.0
opj_destroy_compress@Base 2.0.0
opj_destroy_decompress@Base 2.0.0
opj_encode@Base 2.0.0
opj_set_default_decoder_parameters@Base 2.0.0
opj_set_default_encoder_parameters@Base 2.0.0
opj_set_event_mgr@Base 2.0.0
opj_setup_decoder@Base 2.0.0
opj_setup_encoder@Base 2.0.0
opj_version@Base 2.0.0
opj_volume_create@Base 2.0.0
opj_volume_destroy@Base 2.0.0
libopenjp2.so.6 libopenjpeg6 #MINVER#
opj_create_compress@Base 2.0.0
opj_create_decompress@Base 2.0.0
opj_decode@Base 2.0.0
opj_decode_tile_data@Base 2.0.0
opj_destroy_codec@Base 2.0.0
opj_destroy_cstr_index@Base 2.0.0
opj_destroy_cstr_info@Base 2.0.0
opj_dump_codec@Base 2.0.0
opj_encode@Base 2.0.0
opj_end_compress@Base 2.0.0
opj_end_decompress@Base 2.0.0
opj_get_cstr_index@Base 2.0.0
opj_get_cstr_info@Base 2.0.0
opj_get_decoded_tile@Base 2.0.0
opj_image_create@Base 2.0.0
opj_image_destroy@Base 2.0.0
opj_image_tile_create@Base 2.0.0
opj_read_header@Base 2.0.0
opj_read_tile_header@Base 2.0.0
opj_set_MCT@Base 2.0.0
opj_set_decode_area@Base 2.0.0
opj_set_decoded_resolution_factor@Base 2.0.0
opj_set_default_decoder_parameters@Base 2.0.0
opj_set_default_encoder_parameters@Base 2.0.0
opj_set_error_handler@Base 2.0.0
opj_set_info_handler@Base 2.0.0
opj_set_warning_handler@Base 2.0.0
opj_setup_decoder@Base 2.0.0
opj_setup_encoder@Base 2.0.0
opj_start_compress@Base 2.0.0
opj_stream_create@Base 2.0.0
opj_stream_create_default_file_stream@Base 2.0.0
opj_stream_create_file_stream@Base 2.0.0
opj_stream_default_create@Base 2.0.0
opj_stream_destroy@Base 2.0.0
opj_stream_set_read_function@Base 2.0.0
opj_stream_set_seek_function@Base 2.0.0
opj_stream_set_skip_function@Base 2.0.0
opj_stream_set_user_data@Base 2.0.0
opj_stream_set_user_data_length@Base 2.0.0
opj_stream_set_write_function@Base 2.0.0
opj_version@Base 2.0.0
opj_write_tile@Base 2.0.0
openjpip-server will likely crash in some obscure way if you provide improper JP2 file.
To produce proper JPIP compatible JP2 file, simply use:
$ image_to_j2k -i copenhague1.tif -o copenhague1.jp2 -p RPCL -c [64,64] -t 640,480 -jpip -TP R
Note:
-jpip Embed index table box into the output JP2 file (compulsory for JPIP)
-TP R Partition a tile into tile parts of different resolution levels (compulsory for JPT-stream)
Warning: -jpip option is really important it adds the cidx/fidx superbox to the
file. Without this information, openjpip server will simply crash on your input
file. Make sure all file accessible from within openjpip server have cidx/fidx
superbox. At the time of writing, kakadu does not support generating cidx/fidx
superbox
See also Annex I Indexing JPEG 2000 files for JPIP, p90:
http://www.jpeg.org/public/fcd15444-9v2.pdf
(Optional) Embed metadata into JP2 file
$ addXMLinJP2 copenhague1.jp2 copenhague1.xml
Input metadata file "copenhague1.xml" looks like:
<xmlbox>
<roi name="island" x="1890" y="1950" w="770" h="310"/>
<roi name="ship" x="750" y="330" w="100" h="60"/>
<roi name="airport" x="650" y="1800" w="650" h="800"/>
<roi name="harbor" x="4200" y="1650" w="130" h="130"/>
<irt refimg="name1.jp2" m1="0.50" m2="-0.50" m3="0" m4="0.80" m5="-0.80" m6="0" m7="500" m8="1000" m9="0"/>
</xmlbox>
-- Mathieu Malaterre <malat@debian.org> Fri, 20 Apr 2012 11:45:07 +0200
/var/lib/openjpip-server
#debian/openjpip.load /etc/apache2/mods-available
#debian/openjpip.conf /etc/apache2/mods-available
#!/bin/sh
### BEGIN INIT INFO
# Provides: openjpip
# Required-Start: $network $local_fs $remote_fs
# Required-Stop: $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: openjpip server
# Description: JPIP server for OpenJPEG
### END INIT INFO
# Author: Mathieu Malaterre <malat@debian.org>
# ref: http://code.google.com/p/openjpeg/wiki/JPIP#Usage
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="openjpip server" # Introduce a short description here
PORT=3000
NAME=openjpip # Introduce the short server's name here
SPAWN_FCGI="/usr/bin/spawn-fcgi"
DAEMON=/usr/lib/openjpip-server/opj_server # Introduce the server's location here
JP2DIR=/var/lib/openjpip-server # path were JP2 files are located
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
FCGI_USER="www-data"
FCGI_GROUP="www-data"
DAEMON_ARGS="" # Arguments to run the daemon with
# Exit if the package is not installed
[ -x $DAEMON ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
#start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
# || return 1
#start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
# $DAEMON_ARGS \
# || return 2
spawn-fcgi -U $FCGI_USER -G $FCGI_GROUP -p $PORT -P $PIDFILE -d $JP2DIR -- $DAEMON $DAEMON_ARGS
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
#start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
#RETVAL="$?"
#[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
#start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
#[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
#rm -f $PIDFILE
#return "$RETVAL"
GET "http://localhost/openjpip?quitJPIP" > /dev/null
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
#start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
#!/bin/bash
set -e
#DEBHELPER#
if [ "$1" != "remove" -a "$1" != "purge" ]; then
exit 0
fi
if [ -e /etc/apache2/apache2.conf ]; then
a2dismod openjpip || true
fi
exit 0
debian/tmp/usr/share/opj_jpip_viewer.jar usr/share/opj_jpip_viewer
usr/share/opj_jpip_viewer/opj_jpip_viewer.jar usr/bin/opj_jpip_viewer
#!/usr/bin/make -f
#export DH_VERBOSE=1
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# as per upstream request:
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden
%:
dh $@ --parallel --with javahelper
CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_RPATH=ON \
-DCMAKE_BUILD_TYPE:STRING=None \
-DOPENJPEG_INSTALL_LIB_DIR:STRING=lib/$(DEB_HOST_MULTIARCH) \
-DBUILD_CODEC:BOOL=ON \
-DBUILD_JPIP:BOOL=ON \
-DBUILD_JPIP_SERVER:BOOL=ON \
-DBUILD_JPWL:BOOL=OFF \
-DBUILD_JAVA:BOOL=OFF \
-DBUILD_MJ2:BOOL=OFF \
-DBUILD_JP3D:BOOL=ON \
-DBUILD_SHARED_LIBS:BOOL=ON \
-DBUILD_TESTING:BOOL=OFF \
-DBUILD_THIRDPARTY:BOOL=OFF
override_dh_auto_configure:
dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
SOVERSION=6
pkg_lib = libopenjpeg$(SOVERSION)
pkg_dev = libopenjpeg$(SOVERSION)-dev
pkg_dbg = libopenjpeg$(SOVERSION)-dbg
pkg_bin = openjpeg-tools
pkg_lib3d = libopenjp3d$(SOVERSION)
pkg_bin3d = openjp3d-tools
pkg_jpip = libopenjpip$(SOVERSION)
pkg_srv = openjpip-server
pkg_dsrv = openjpip-dec-server
override_dh_strip:
dh_strip --dbg-package=$(pkg_dbg)
override_dh_install:
# install opj_dump/compress/decompress:
dh_install -p$(pkg_bin) --autodest -Xjp3d -Xserver -Xjpip usr/bin/*
dh_install -p$(pkg_bin) --autodest -Xserver -Xjpip usr/share/man/man1/*.1
# lib
dh_install -p$(pkg_lib) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/libopenjp2.so.*
# dev:
dh_install -p$(pkg_dev) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/libopenjp2.so
dh_install -p$(pkg_dev) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/openjpeg-2.0/*.cmake
dh_install -p$(pkg_dev) --autodest usr/include/openjpeg-2.0
# jp3d:
dh_install -p$(pkg_lib3d) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/libopenjp3d.so.*
dh_install -p$(pkg_bin3d) --autodest usr/bin/opj_jp3d*
# libjpip:
dh_install -p$(pkg_jpip) --autodest usr/lib/$(DEB_HOST_MULTIARCH)/libopenjpip.so.*
# server:
dh_install -p$(pkg_srv) --autodest usr/bin/opj_server
# dec-server
dh_install -p$(pkg_dsrv) --autodest usr/bin/opj_dec_server
dh_install -p$(pkg_dsrv) --autodest usr/bin/opj_jpip*
dh_install --list-missing
CURVER := $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}' | cut -d- -f1 | cut -d+ -f1)
get-orig-source:
uscan --verbose --rename \
--force-download \
--download-version $(CURVER)
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/^(\S+-i[36]86)/0.0.$1/;s/^(\S+-Darwin64-universal)$/0.0.$1/ \
http://code.google.com/p/openjpeg/downloads/list \
.*/openjpeg(?:-|_|_v|V)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment